<?php
error_reporting(E_ALL ^ E_NOTICE);
ini_set('display_errors', 1);

// Permite la conexion desde cualquier origen
header("Access-Control-Allow-Origin: *");
// Permite la ejecucion de los metodos
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE");
// Establece el tipo de contenido como JSON
header("Content-Type: application/json; charset=UTF-8");

// Se incluye el archivo que contiene la clase generica
include_once '../conexion.php';

$bodyRequest = file_get_contents("php://input");
// Decodifica el cuerpo de la solicitud y lo guarda en un array de PHP
$datos = json_decode($bodyRequest, true);

$sql = "";
if($datos[0] != 0) {
    $sql = "SELECT * from empresas WHERE id = $datos[0] AND activo = $datos[1] Order By id";
} else {
    $sql = "SELECT * from empresas WHERE activo = $datos[1] Order By id";
}

$rows = array();

if ($result = mysqli_query($conn, $sql)) {
    if (mysqli_num_rows($result) > 0) {
        while ($row = mysqli_fetch_assoc($result)) {
            $rows[] = $row;
        }
        mysqli_free_result($result);
    } else {
        // No records found
        $rows = [];
    }
} else {
    $rows = ["error" => "ERROR: Could not execute the query. " . mysqli_error($conn)];
}

// Cerrar la conexi¨Žn a la base de datos
mysqli_close($conn);

// Imprimir la respuesta JSON
print_json($rows);

function print_json($data) {
    echo json_encode($data, JSON_UNESCAPED_UNICODE);

    switch (json_last_error()) {
        case JSON_ERROR_NONE:
            // No errors
            break;
        case JSON_ERROR_DEPTH:
            echo ' - Maximum stack depth exceeded';
            break;
        case JSON_ERROR_STATE_MISMATCH:
            echo ' - Underflow or the modes mismatch';
            break;
        case JSON_ERROR_CTRL_CHAR:
            echo ' - Unexpected control character found';
            break;
        case JSON_ERROR_SYNTAX:
            echo ' - Syntax error, malformed JSON';
            break;
        case JSON_ERROR_UTF8:
            echo ' - Malformed UTF-8 characters, possibly incorrectly encoded';
            break;
        default:
            echo ' - Unknown error';
            break;
    }
}
?>
